<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>FutureForwardingTask (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FutureForwardingTask (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html" title="class in com.sk89q.worldedit.util.task"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/util/task/SimpleSupervisor.html" title="class in com.sk89q.worldedit.util.task"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/task/FutureForwardingTask.html" target="_top">Frames</a></li>
<li><a href="FutureForwardingTask.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.task</div>
<h2 title="Class FutureForwardingTask" class="title">Class FutureForwardingTask&lt;V&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.google.common.util.concurrent.AbstractFuture&lt;V&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html" title="class in com.sk89q.worldedit.util.task">com.sk89q.worldedit.util.task.AbstractTask</a>&lt;V&gt;</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.task.FutureForwardingTask&lt;V&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>V</code> - the type returned</dd>
</dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.google.common.util.concurrent.ListenableFuture&lt;V&gt;, <a href="../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a>, <a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a>&lt;V&gt;, java.util.concurrent.Future&lt;V&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FutureForwardingTask&lt;V&gt;</span>
extends <a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html" title="class in com.sk89q.worldedit.util.task">AbstractTask</a>&lt;V&gt;</pre>
<div class="block">A task that wraps a <code>ListenableFuture</code>.

 <p><a href="../../../../../com/sk89q/worldedit/util/task/Task.State.html#SCHEDULED"><code>Task.State.SCHEDULED</code></a> is never returned because it is not possible
 to test whether the future has "started," so <a href="../../../../../com/sk89q/worldedit/util/task/Task.State.html#RUNNING"><code>Task.State.RUNNING</code></a> is
 returned in its place.</p>

 <p>Use <a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html#create-com.google.common.util.concurrent.ListenableFuture-java.lang.String-java.lang.Object-"><code>create(ListenableFuture, String, Object)</code></a> to create a new
 instance.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.sk89q.worldedit.util.task.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.State.html" title="enum in com.sk89q.worldedit.util.task">Task.State</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html#addListener-java.lang.Runnable-java.util.concurrent.Executor-">addListener</a></span>(java.lang.Runnable&nbsp;listener,
           java.util.concurrent.Executor&nbsp;executor)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html#cancel-boolean-">cancel</a></span>(boolean&nbsp;mayInterruptIfRunning)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static &lt;V&gt;&nbsp;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="class in com.sk89q.worldedit.util.task">FutureForwardingTask</a>&lt;V&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html#create-com.google.common.util.concurrent.ListenableFuture-java.lang.String-java.lang.Object-">create</a></span>(com.google.common.util.concurrent.ListenableFuture&lt;V&gt;&nbsp;future,
      java.lang.String&nbsp;name,
      java.lang.Object&nbsp;owner)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html#get--">get</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html#get-long-java.util.concurrent.TimeUnit-">get</a></span>(long&nbsp;timeout,
   java.util.concurrent.TimeUnit&nbsp;unit)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html#getProgress--">getProgress</a></span>()</code>
<div class="block">Get the current percentage of completion.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/task/Task.State.html" title="enum in com.sk89q.worldedit.util.task">Task.State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html#getState--">getState</a></span>()</code>
<div class="block">Get the state of the task.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html#isCancelled--">isCancelled</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html#isDone--">isDone</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.task.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html" title="class in com.sk89q.worldedit.util.task">AbstractTask</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html#getCreationDate--">getCreationDate</a>, <a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html#getName--">getName</a>, <a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html#getOwner--">getOwner</a>, <a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html#getUniqueId--">getUniqueId</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.google.common.util.concurrent.AbstractFuture">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.google.common.util.concurrent.AbstractFuture</h3>
<code>afterDone, interruptTask, set, setException, setFuture, wasInterrupted</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addListener-java.lang.Runnable-java.util.concurrent.Executor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addListener</h4>
<pre>public&nbsp;void&nbsp;addListener(java.lang.Runnable&nbsp;listener,
                        java.util.concurrent.Executor&nbsp;executor)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>addListener</code>&nbsp;in interface&nbsp;<code>com.google.common.util.concurrent.ListenableFuture&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>addListener</code>&nbsp;in class&nbsp;<code>com.google.common.util.concurrent.AbstractFuture&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="cancel-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancel</h4>
<pre>public&nbsp;boolean&nbsp;cancel(boolean&nbsp;mayInterruptIfRunning)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>cancel</code>&nbsp;in interface&nbsp;<code>java.util.concurrent.Future&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>cancel</code>&nbsp;in class&nbsp;<code>com.google.common.util.concurrent.AbstractFuture&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="isCancelled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCancelled</h4>
<pre>public&nbsp;boolean&nbsp;isCancelled()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isCancelled</code>&nbsp;in interface&nbsp;<code>java.util.concurrent.Future&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>isCancelled</code>&nbsp;in class&nbsp;<code>com.google.common.util.concurrent.AbstractFuture&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="isDone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDone</h4>
<pre>public&nbsp;boolean&nbsp;isDone()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isDone</code>&nbsp;in interface&nbsp;<code>java.util.concurrent.Future&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>isDone</code>&nbsp;in class&nbsp;<code>com.google.common.util.concurrent.AbstractFuture&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="get--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&nbsp;get()
      throws java.lang.InterruptedException,
             java.util.concurrent.ExecutionException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>get</code>&nbsp;in interface&nbsp;<code>java.util.concurrent.Future&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>get</code>&nbsp;in class&nbsp;<code>com.google.common.util.concurrent.AbstractFuture&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.InterruptedException</code></dd>
<dd><code>java.util.concurrent.ExecutionException</code></dd>
</dl>
</li>
</ul>
<a name="get-long-java.util.concurrent.TimeUnit-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&nbsp;get(long&nbsp;timeout,
             java.util.concurrent.TimeUnit&nbsp;unit)
      throws java.lang.InterruptedException,
             java.util.concurrent.ExecutionException,
             java.util.concurrent.TimeoutException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>get</code>&nbsp;in interface&nbsp;<code>java.util.concurrent.Future&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>get</code>&nbsp;in class&nbsp;<code>com.google.common.util.concurrent.AbstractFuture&lt;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="type parameter in FutureForwardingTask">V</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.InterruptedException</code></dd>
<dd><code>java.util.concurrent.ExecutionException</code></dd>
<dd><code>java.util.concurrent.TimeoutException</code></dd>
</dl>
</li>
</ul>
<a name="getState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/task/Task.State.html" title="enum in com.sk89q.worldedit.util.task">Task.State</a>&nbsp;getState()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/task/Task.html#getState--">Task</a></code></span></div>
<div class="block">Get the state of the task.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the state of the task</dd>
</dl>
</li>
</ul>
<a name="getProgress--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProgress</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&nbsp;getProgress()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html#getProgress--">ProgressObservable</a></code></span></div>
<div class="block">Get the current percentage of completion.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a progress object</dd>
</dl>
</li>
</ul>
<a name="create-com.google.common.util.concurrent.ListenableFuture-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>create</h4>
<pre>public static&nbsp;&lt;V&gt;&nbsp;<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="class in com.sk89q.worldedit.util.task">FutureForwardingTask</a>&lt;V&gt;&nbsp;create(com.google.common.util.concurrent.ListenableFuture&lt;V&gt;&nbsp;future,
                                                 java.lang.String&nbsp;name,
                                                 @Nullable
                                                 java.lang.Object&nbsp;owner)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>V</code> - the type returned by the future</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>future</code> - the future</dd>
<dd><code>name</code> - the name of the task</dd>
<dd><code>owner</code> - the owner of the task, or <code>null</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new instance</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html" title="class in com.sk89q.worldedit.util.task"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/util/task/SimpleSupervisor.html" title="class in com.sk89q.worldedit.util.task"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/task/FutureForwardingTask.html" target="_top">Frames</a></li>
<li><a href="FutureForwardingTask.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
